/* 
	https://de.wikipedia.org/wiki/Schneepflug
	https://en.wikipedia.org/wiki/SnowPlough (or SnowPlow (AE))

ToDo:
	- an Druckbettgröße anpassen! Vergisses, das Schild (der Pflug) wird einfach aus einem Abflußrohr geschnitten (d=75)--NOPE
	- Den Winkel der Bohrungen so anpassen, dass die Schrauben rechtwinklig durch den Schild gehen!

*/

/* Modules */
include <../Modules/Module_Geometrical_Objects.scad>;

/* Globals */
$fn=90;
gMS=8.0;
gSchildDia=75;
gSchildHalterSeitenLaenge1=80;
gSchildHalterSeitenLaenge2=gSchildDia*1.0;
gScrewHoleDia=4.3; // fitting M4
gScrewHoleDiaNoNut=3.95-0.35; // fitting M4, when not using nut 
gSchildHalterVerbinderLaenge=100;
gSchildHalterVerbinderBreite=32;
gSchildHalterVerbinderSlotWidth=3.0; //4.2;

if (1)
//for (yi=[0, gSchildHalterSeitenLaenge2])
{
	translate([0, yi, 0])
	schildHalter();

	if (0)
	translate([0, yi-5, 0])
	schildUnterlagscheibe();
}

if (0)
{
	//translate([30, 0, 0])
	schildHalterVerbinder();
}

module schildHalterVerbinder()
{
	difference()
	{
		translate([gSchildHalterVerbinderLaenge/2, 0, gMS/2])
		cube([gSchildHalterVerbinderLaenge, gSchildHalterVerbinderBreite, gMS], center=true);

		/* Schraubenlöcher */
		for (xi=[-11, +11])
		{
			rotate([0, 0, 90])
			translate([xi, 0, gScrewHoleDia/2*0+gMS/2])
			rotate([-1*-90, 0, 0])
			cylinder(d=gScrewHoleDia, h=100);
		} // for

		/* Rastung */
		translate([gSchildHalterVerbinderLaenge/2, 0, gMS-gSchildHalterVerbinderSlotWidth/2*0])
		for (a=[0:15:360])
		{
			rotate([0, 0, a])
			translate([0, 20, 0])
			//cube([gSchildHalterVerbinderSlotWidth, 23, 2.0], center=true);
			rotate([90, 0, 0])
			cylinder(d=gSchildHalterVerbinderSlotWidth, h=23, center=true);
		}
		translate([gSchildHalterVerbinderLaenge/2, 0, gMS-gSchildHalterVerbinderSlotWidth/2*0])
		cylinder(d=20, h=gSchildHalterVerbinderSlotWidth, center=true);
		
		translate([gSchildHalterVerbinderLaenge/2, 0, 0])
		cylinder(d=gScrewHoleDiaNoNut, h=gMS);
	}
}


module schildUnterlagscheibe()
{
	difference()
	{
		intersection()
		{
			cylinder(d=gSchildDia, h=gMS);
			
			translate([0, gSchildDia/2+12, gMS/2])
			cube([42+5, 42, gMS], center=true);
		}
		
		for (xi=[-12, +12])
		{
			translate([xi, 0, gScrewHoleDia/2*0+gMS/2])
			rotate([-90, 0, 0])
			cylinder(d=gScrewHoleDia, h=230);
		} // for
	}
}

module schildHalter()
{
	difference()
	{
		translate([-gSchildHalterSeitenLaenge2/2, 0, 0])
		triangle2(gSchildHalterSeitenLaenge2, gSchildHalterSeitenLaenge1, gMS);
		
		cylinder(d=gSchildDia, h=gMS);

		for (xi=[-11, +11])
		{
			translate([xi, 0, gScrewHoleDia/2*0+gMS/2])
			rotate([-90, 0, 0])
			cylinder(d=gScrewHoleDia, h=50);
		} // for
		
		for (yi=[gSchildHalterSeitenLaenge2-gMS, gSchildHalterSeitenLaenge2-gMS-22])
		{
			translate([0, yi, 0]) //gScrewHoleDia/2*0+gMS/2])
			//rotate([-90, 0, 0])
			cylinder(d=gScrewHoleDia, h=50);
		} // for

		translate([7, 48, 0])
		cube([10, 8, 10]);

		translate([-10-7, 48, 0])
		cube([10, 8, 10]);
	}
	
} // module schildHalter